<template>
  <div class="user-setting-markup">
    <ControlGroup
        v-model="tab"
        :items="items"
        theme="light"
    />
    <component :is="component"/>
  </div>
</template>

<script>
  import ControlGroup from "common-components/src/obComponents/obControlGroup";
  import ForAll from "./ForAll";
  import ForClient from "./ForClient";

  export default {
    name: "Markup",
    components: {
      ControlGroup,
      ForAll,
    },
    data () {
      return {
        tab: 'ALL',
        items: [
          {
            label: 'Для всех клиентов по умолчанию',
            value: 'ALL'
          },
          {
            label: 'Индивидуально для Клиентов',
            value: 'FOR_CLIENT'
          }
        ]
      }
    },
    computed: {
      component() {
        return this.tab === 'ALL' ? ForAll : ForClient
      }
    },
  }
</script>
